Page MenuHomePhabricator

elm_spinner: Text button and entry both gets hidden when navigated through arrow keys.
ClosedPublic

Authored by prasoonsingh16 on Aug 31 2017, 1:50 AM.

Details

Summary

Summary
When focus rect move from inc/dec button using keyboard arrow keys, entry show callback is called and focus is set on entry and then text button is hidden. Hiding focus button triggers focus cycle to revert focus on entry, due to which entry gets unfocused callback which subsequently hides entry. So, entry and text button both goes to hidden state. To fix this setting focus on entry after text button is hidden.
Signed-Off By: Prasoon Singh<prasoonsingh16@gmail.com>

Test Plan
Move focus rect from inc/dec button to text button, and observe both text button and entry gets
invisible. Expected behavior is entry should become active.

Test Plan

Move focus rect from inc/dec button to text button, and obesrve both text button and entry gets
invivible. Expected behaviour is entry should become active.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
prasoonsingh16 created this revision.Aug 31 2017, 1:50 AM
shilpasingh accepted this revision.Sep 1 2017, 3:55 AM
This revision is now accepted and ready to land.Sep 1 2017, 3:55 AM
prasoonsingh16 edited the summary of this revision. (Show Details)

Rebased and updated commit message

zmike accepted this revision.Jul 12 2018, 6:19 AM
zmike added a subscriber: zmike.

This is a great commit log, and should be a model to anyone writing patches. Thanks for providing so much detail!

In the future, can you try to wrap your lines a bit? This is going to be challenging for people to read in a terminal.

This revision was automatically updated to reflect the committed changes.